# repositoryselector.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::spi

## Classes

class | RepositorySelector
| The `LogManager` uses one (and only one) `RepositorySelector` implementation to select the LoggerRepository for a particular application context. More...

## Typedefs

typedef helpers::ObjectPtrT< LoggerRepository > | log4cxx::spi::LoggerRepositoryPtr

## Functions

| log4cxx::spi::LOG4CXX_PTR_DEF (RepositorySelector)